﻿using Infragistics.Documents;
using Infragistics.Documents.Parsing;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace xamSyntaxEditor_regularexpressions
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
            textDocument.Language = PlainTextLanguage.Instance;
            textDocument.InitializeText("Lorem ^(LASTRUN)*$ dolor sit amet, consectetur adipiscing elit.");
           
        }

        private void bReplaceAll_Click(object sender, RoutedEventArgs e)
        {

            if (string.IsNullOrEmpty(this.tbFind.Text))
            {
                
                return;
            }

            var tsc = new TextSearchCriteria(
                false,
                this.tbFind.Text, // regular expression
                false,
                false
            );

            this.xamSyntaxEditor1.Document.FindReplaceAll(
                tsc, // criteria
                this.tbReplace.Text // replacement text
                );
        }
    }
}
